Bug 175708 - External firewire drive Sony DRX 710UL DVD-RW not detected
External firewire drive Sony DRX 710UL DVD-RW not detected
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: udev (Show other bugs)
rawhide
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Harald Hoyer
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-12-13 23:13 EST by raxet
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version: 077-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-12-14 11:47:17 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description raxet 2005-12-13 23:13:19 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.12) Gecko/20051018 Fedora/1.7.12-2

Description of problem:
No detection occuring for external firewire devices. Specifically the proper kernel modules aren't properly loading. The entries in modprobe.conf are also missing.

Version-Release number of selected component (if applicable):
kernel-2.6.14-1.1756_FC%5

How reproducible:
Always

Steps to Reproduce:
1. Attach Sony DRX 710UL external firewire drive to any ieee1394 port
2. no detection
3.
  

Actual Results:  Firewire drive isn't detected

Expected Results:  hotplug should detect the drive

Additional info:

Work around:

1. Add the following to /etc/rc.local `modprobe ide-scsi` and `modprobe sg`
2. Then add "alias scsi_hostadapter2(3,4,5) sbp2" to modprobe.conf, reboot and voila Sony firewire external drive DRX 710UL DVDRW works!
Comment 1 Dennis Gilmore 2005-12-14 00:31:30 EST
there should be no need for entries in modprobe.conf   as the hardware setup
will change and your scsi_hostadapter  may be a usb device.  the config needs to
happen dynamically on insertion and at boot time.  without anything in
/etc/rc.local and modprobe.conf  does anything show in dmesg  on insertion of
the device?
Comment 2 Harald Hoyer 2005-12-14 02:05:36 EST
Set in /etc/udev/udev.conf:
udev_log="info"
then attach the firewire drive. Please report /var/log/messages.
Comment 3 raxet 2005-12-14 11:47:17 EST
Now working as it should with latest dev update of udev-077-1

Note You need to log in before you can comment on or make changes to this bug.